using SoftwareInstallationListImplement.Models;

namespace SoftwareInstallationListImplement
{
    public class DataListSingleton
    {
        private static DataListSingleton? _instance;
        public List<Component> Components { get; set; }
        public List<Order> Orders { get; set; }
        public List<Package> Packages { get; set; }
        public List<Client> Clients { get; set; }
        public List<Shop> Shops { get; set; }
		public List<Implementer> Implementers { get; set; }
		public List<MessageInfo> Messages { get; set; }

		private DataListSingleton()
        {
            Components = new List<Component>();
            Orders = new List<Order>();
            Packages = new List<Package>();
            Clients = new List<Client>();
            Shops = new List<Shop>();
			Implementers = new List<Implementer>();
			Messages = new List<MessageInfo>();
		}
		public static DataListSingleton GetInstance()
        {
            if (_instance == null)
            {
                _instance = new DataListSingleton();
            }
            return _instance;
        }
    }
}